## knewstuff 5.116.0+p24.04+vstable+git20251025.0021

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: KDE Contributors
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.117.0") # handled by release scripts
set(KF_DEP_VERSION "5.116.0") # handled by release scripts
project(KNewStuff VERSION ${KF_VERSION})

set(CMAKE_CXX_EXTENSIONS OFF)

include(FeatureSummary)
find_package(ECM 5.116.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMQmlModule)
include(ECMQtDeclareLoggingCategory)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Gui Widgets Xml)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE COMPONENTS Qml Quick)
find_package(KF5Archive ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Completion ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF_DEP_VERSION} REQUIRED)
find_package(KF5ItemViews ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Package ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF_DEP_VERSION} REQUIRED)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMDeprecationSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(CMakeDependentOption)

find_package(KF5Attica ${KF_DEP_VERSION} CONFIG REQUIRED)
set_package_properties(KF5Attica PROPERTIES DESCRIPTION "A Qt library that implements the Open Collaboration Services API"
                       PURPOSE "Support for Get Hot New Stuff in KNewStuff"
                       URL "https://commits.kde.org/attica"
                       TYPE REQUIRED
                      )
find_package(KF5Kirigami2 2.12.0)
set_package_properties(KF5Kirigami2 PROPERTIES
    DESCRIPTION "KDE's lightweight user interface framework for mobile and convergent applications"
    URL "https://techbase.kde.org/Kirigami"
    PURPOSE "Required by KNewStuffQuick's qml components"
    TYPE RUNTIME)

find_package(KF5Syndication ${KF5_DEP_VERSION})
set_package_properties(KF5Syndication PROPERTIES
    DESCRIPTION "KDE's RSS/Atom parser library"
    PURPOSE "Used by the OPDS provider to handle most of the parsing."
    TYPE OPTIONAL
)


option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

cmake_dependent_option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON "NOT CMAKE_CROSSCOMPILING" OFF)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

ecm_setup_version(PROJECT VARIABLE_PREFIX KNEWSTUFF
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/knewstuff_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffConfigVersion.cmake"
                        SOVERSION 5)
ecm_setup_version(PROJECT VARIABLE_PREFIX KNEWSTUFFCORE
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffCoreConfigVersion.cmake"
                        SOVERSION 5)
ecm_setup_version(PROJECT VARIABLE_PREFIX KNEWSTUFFQUICK
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffQuickConfigVersion.cmake"
                        SOVERSION 5)
configure_file(knewstuffcore_version.h.in "${CMAKE_CURRENT_BINARY_DIR}/knewstuffcore_version.h")
configure_file(knewstuffquick_version.h.in "${CMAKE_CURRENT_BINARY_DIR}/knewstuffquick_version.h")

add_definitions(-DTRANSLATION_DOMAIN=\"knewstuff5\")
ecm_set_disabled_deprecation_versions(
    QT ${REQUIRED_QT_VERSION}
    KF 5.95
)

ki18n_install(po)
add_subdirectory(data)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5NewStuff")
set(CMAKECONFIGCORE_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5NewStuffCore")
set(CMAKECONFIGQUICK_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5NewStuffQuick")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5NewStuff_QCH
        FILE KF5NewStuffQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5NewStuffQchTargets.cmake\")")
    ecm_install_qch_export(
        TARGETS KF5NewStuffCore_QCH
        FILE KF5NewStuffCoreQchTargets.cmake
        DESTINATION "${CMAKECONFIGCORE_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_CORE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5NewStuffCoreQchTargets.cmake\")")
    # TODO: KF5NewStuffQuick
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5NewStuffConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5NewStuffCoreConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffCoreConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIGCORE_INSTALL_DIR}
)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5NewStuffQuickConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffQuickConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIGQUICK_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)
install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffCoreConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffCoreConfigVersion.cmake"
  DESTINATION "${CMAKECONFIGCORE_INSTALL_DIR}"
  COMPONENT Devel
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffQuickConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffQuickConfigVersion.cmake"
  DESTINATION "${CMAKECONFIGQUICK_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5NewStuffTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5NewStuffTargets.cmake NAMESPACE KF5:: )
install(EXPORT KF5NewStuffCoreTargets DESTINATION "${CMAKECONFIGCORE_INSTALL_DIR}" FILE KF5NewStuffCoreTargets.cmake NAMESPACE KF5:: )

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/knewstuff_version.h
    ${CMAKE_CURRENT_BINARY_DIR}/knewstuffcore_version.h
    ${CMAKE_CURRENT_BINARY_DIR}/knewstuffquick_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff3
  COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
knewstuff (5.116.0+p24.04+vstable+git20251025.0021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 25 Oct 2025 00:21:53 +0000

=== debian/control ===
Source: knewstuff
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.50.0~),
               graphviz,
               kirigami2-dev,
               libkf5archive-dev (>= 5.50.0~),
               libkf5attica-dev (>= 5.50.0~),
               libkf5completion-dev (>= 5.50.0~),
               libkf5config-dev (>= 5.50.0~),
               libkf5coreaddons-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5iconthemes-dev (>= 5.50.0~),
               libkf5itemviews-dev (>= 5.50.0~),
               libkf5kio-dev (>= 5.50.0~),
               libkf5package-dev,
               libkf5service-dev (>= 5.50.0~),
               libkf5syndication-dev,
               libkf5textwidgets-dev (>= 5.50.0~),
               libkf5widgetsaddons-dev (>= 5.50.0~),
               libkf5xmlgui-dev (>= 5.50.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/knewstuff
Vcs-Git: https://invent.kde.org/neon/kde/knewstuff.git
Vcs-Browser: https://invent.kde.org/neon/kde/knewstuff
Maintainer: Neon CI <neon@kde.org>

Package: libkf5newstuff-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Breaks: libkf5newstuff5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa4)
Replaces: libkf5newstuff5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa4)
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the data files.

Package: libkf5newstuff-dev
Section: libdevel
Architecture: any
Depends: libkf5archive-dev (>= 5.50.0~),
         libkf5attica-dev (>= 5.50.0~),
         libkf5kio-dev (>= 5.50.0~),
         libkf5newstuff5 (= ${binary:Version}),
         libkf5newstuffcore5 (= ${binary:Version}),
         libkf5newstuffwidgets5 (= ${binary:Version}),
         libkf5xmlgui-dev (>= 5.50.0~),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5kdelibs4support-dev (<< 5.49)
Replaces: libkf5newstuff-doc (<< 5.61.90-0)
Recommends: libkf5newstuff-doc (= ${source:Version})
Description: development files for knewstuff
 Framework for downloading and sharing additional
 application data.
 .
 Contains development files for knewstuff.

Package: libkf5newstuff-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Support for downloading application assets from the network (documentation)
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5newstuff5
Architecture: any
Multi-Arch: same
Depends: libkf5newstuff-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: knewstuff-dialog
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.

Package: libkf5newstuffcore5
Architecture: any
Multi-Arch: same
Recommends: qml-module-org-kde-newstuff (= ${binary:Version})
Depends: kio (>= 5.49), ${misc:Depends}, ${shlibs:Depends}
Description: Support for downloading application assets from the network.
 Framework for idownloading and sharing additional
 application data.
Breaks: frameworkintegration (<< 5.49)

Package: libkf5newstuffwidgets5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for downloading application assets from the network.
 Framework for idownloading and sharing additional
 application data.

Package: qml-module-org-kde-newstuff
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2 (>= 5.49),
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the runtime files

Package: knewstuff-dialog
Architecture: any
Depends: libkf5newstuff-data (= ${source:Version}),
         qml-module-org-kde-newstuff (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains standalone tool for use by apps which don't
 want a hard dependency.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]+)/knewstuff-([\d.]+)\.tar\.xz

## knewstuff 5.116.0+p24.04+vstable+git20251028.1038

=== debian/changelog ===
knewstuff (5.116.0+p24.04+vstable+git20251028.1038-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:39:07 +0000

## knewstuff 5.116.0+p24.04+vstable+git20251031.0736

=== debian/changelog ===
knewstuff (5.116.0+p24.04+vstable+git20251031.0736-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:36:57 +0000

## knewstuff 5.116.0+p24.04+vstable+git20251220.0248

=== debian/changelog ===
knewstuff (5.116.0+p24.04+vstable+git20251220.0248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 02:48:59 +0000

## knewstuff 5.116.0+p24.04+vstable+git20251226.0236

=== debian/changelog ===
knewstuff (5.116.0+p24.04+vstable+git20251226.0236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 02:36:37 +0000

## knewstuff 5.116.0+p24.04+vstable+git20260113.0333

=== debian/changelog ===
knewstuff (5.116.0+p24.04+vstable+git20260113.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 03:33:51 +0000

## knewstuff 5.116.0+p24.04+vstable+git20260116.0320

=== autotests/core/CMakeLists.txt ===
# SPDX-FileCopyrightText: Alexander Lohnau <alexander.lohnau@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause

if (WIN32)
set(DATA_DIR "/${CMAKE_CURRENT_BINARY_DIR}/data/")
else()
set(DATA_DIR "${CMAKE_CURRENT_BINARY_DIR}/data/")
endif()
configure_file(data/entry.xml.in data/entry.xml)
configure_file(data/provider.xml.in data/provider.xml)
configure_file(data/enginetest.knsrc.in data/enginetest.knsrc)
configure_file(data/installationtest.knsrc.in data/installationtest.knsrc)

knewstuff_unit_tests(
        knewstuffauthortest.cpp
        knewstuffenginetest.cpp
        installationtest.cpp
)

set_tests_properties(knewstuff-installationtest PROPERTIES ENVIRONMENT "LANG=C")

=== debian/changelog ===
knewstuff (5.116.0+p24.04+vstable+git20260116.0320-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 03:20:40 +0000

## knewstuff 5.116.0+p24.04+vunstable+git20251015.1522

=== debian/changelog ===
knewstuff (5.116.0+p24.04+vunstable+git20251015.1522-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 15:22:36 +0000

## knewstuff 5.116.0+p24.04+vunstable+git20251020.0639

=== debian/changelog ===
knewstuff (5.116.0+p24.04+vunstable+git20251020.0639-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 06:39:35 +0000

## knewstuff 5.116.0+p24.04+vunstable+git20251111.0339

=== debian/changelog ===
knewstuff (5.116.0+p24.04+vunstable+git20251111.0339-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 03:39:41 +0000

## knewstuff 5.116.0+p24.04+vunstable+git20251124.0941

=== debian/changelog ===
knewstuff (5.116.0+p24.04+vunstable+git20251124.0941-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 09:41:57 +0000

## knewstuff 5.116.0+p24.04+vunstable+git20251208.0219

=== debian/changelog ===
knewstuff (5.116.0+p24.04+vunstable+git20251208.0219-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 02:19:13 +0000

## knewstuff 5.116.0+p24.04+vunstable+git20260113.0148

=== debian/changelog ===
knewstuff (5.116.0+p24.04+vunstable+git20260113.0148-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 01:49:01 +0000

## knewstuff 5.116.0+p24.04+vunstable+git20260116.0230

=== debian/changelog ===
knewstuff (5.116.0+p24.04+vunstable+git20260116.0230-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 02:30:13 +0000
